
addpath 'src\';
addpath 'include\edge_linking'

load 'horses';      % load template database
img_list = dir('gray\*.jpg');

for n = 1 % : length(img_list)
	disp(['processing image ', num2str(n), '...']);
    gray_im = imread( ['gray\', img_list(n).name] );
    edge_im = imread( ['edge\', img_list(n).name(1:length(img_list(n).name)-4 ), '.png'] );
    detection(horses, gray_im, edge_im, [1.1 1 0.9], img_list(n).name, 'res_pos\' );
    show_all('res_pos\');
end
