
function RECONSTRUCT_3(min_tplt, min_skel, min_cntr, min_ref, min_resp, min_row, min_col, gray_im, edge_image, els, im_name)
    all_pnts = [];
    skel_pnts = [];
	cntr_pnts = [];
    all_ref = [];
	for n =  1 : length(min_tplt)
        if ~isempty(min_tplt{n})
            all_pnts = [all_pnts; min_tplt{n}(:, 1:2) ];
            skel_pnts = [skel_pnts; min_skel{n} ];
			cntr_pnts = [cntr_pnts; min_cntr{n} ];
            all_ref = [all_ref; min_ref{n}];
        end
    end  
    
    [all_ref_x, all_ref_y] = ind2sub(size(edge_image), all_ref );
	
    img2 = my_plot(gray_im, cntr_pnts, [255, 0, 0]);
	img2 = my_plot(img2,    skel_pnts,          [0, 255, 0]);
	% figure, imshow(img2);
    img3 = my_plot(edge_image, cntr_pnts, [255, 0, 0]);
    img3 = my_plot(img3, skel_pnts, [0, 0, 255]);
	% figure, imshow(img2);

    %%--------------------------------
	imwrite(img2, ['res/res1/', im_name]);
	imwrite(img3, ['res/res2/', im_name]);
	save( strcat('res/data/', im_name(1 : end-4) ), 'min_row', 'min_col', 'min_resp', 'min_tplt', 'min_skel', 'min_cntr', 'min_ref', 'edge_image', 'els' );
	
	
    
    